Package org.codehaus.groovy.runtime.callsite

# Class BooleanClosurePredicate<T>

java.lang.Object
org.codehaus.groovy.runtime.callsite.BooleanClosurePredicate<T>

All Implemented Interfaces:
  `Predicate<T>`

public class BooleanClosurePredicate<T> extends Object implements Predicate<T>
Helper class for internal use only. This creates a Predicate by calling a `Closure` and converting the result to a boolean. `BooleanReturningMethodInvoker` is used for caching.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BooleanClosurePredicate(Closure wrapped)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `test(T arg)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.function.Predicate

  `and, negate, or`

- ## Constructor Details

  - ### BooleanClosurePredicate

    public BooleanClosurePredicate(Closure wrapped)

- ## Method Details

  - ### test

    public boolean test(T arg)
    Specified by:
      `test` in interface `Predicate<T>`